#ifndef AUDIOENCODER_H_
#define AUDIOENCODER_H_

#include "thread.h"
#include "project.h"

class AudioEncoder : public Thread
{
public:
	AudioEncoder(ProjectPtr project, int groupIndex, int titleIndex, int audioIndex);
	virtual ~AudioEncoder();
	String GetDescription() const;
protected:
	bool OnRun();
	ProjectPtr m_Project;
	int m_GroupIndex;
	int m_TitleIndex;
	int m_AudioIndex;
};

#endif // AUDIOENCODER_H_
