#ifndef DVDAUTHOR_H_
#define DVDAUTHOR_H_

#include "thread.h"
#include "project.h"

#include <windows.h>

class DVDAuthor : public Thread
{
public:
	DVDAuthor(ProjectPtr project);
	virtual ~DVDAuthor();
	String GetDescription() const;
protected:
	String CreateChapters(int gindex, int tindex);
	void SwitchAudioSubtitle(FILE * f, int actGroup);
	bool OnRun();
	ProjectPtr m_Project;
};

#endif // DVDAUTHOR_H_
