#ifndef ADDMENUITEMDIALOG_H_
#define ADDMENUITEMDIALOG_H_

#include "dialog.h"
#include "menudialog.h"
#include "menu.h"
#include "menuitem.h"

class AddMenuItemDialog : public Dialog
{
public:
	AddMenuItemDialog(MenuDialog * menuDialog, MenuPtr menu, int groupIndex,
	                  int x = 100, int y = 100, int distance = 50);
	virtual ~AddMenuItemDialog();
public:
	int DoModal();
protected:
	bool DialogProc(UINT message, WPARAM wParam, LPARAM lParam);
	MenuDialog * m_MenuDialog;
	MenuPtr m_Menu;
	MenuItemVector m_MenuItems;
	int m_GroupIndex;
	int m_X;
	int m_Y;
	int m_Distance;
};

#endif // ADDMENUITEMDIALOG_H_
