#ifndef ASPECTPREVIEW_H_
#define ASPECTPREVIEW_H_

#include "dialog.h"

class AspectPreview : public Dialog
{
public:
	AspectPreview(Dialog * parent, HBITMAP bitmap, int width, int height, int aspectNom, int aspectDen);
	virtual ~AspectPreview();

public:
	int DoModal();

protected:
	bool DialogProc(UINT message, WPARAM wParam, LPARAM lParam);

protected:
	Dialog * m_Parent;
	HBITMAP m_Bitmap;
	int m_OrigWidth;
	int m_OrigHeight;
	int m_AspectNom;
	int m_AspectDen;
	int m_DisplayWidth;
	int m_DisplayHeight;
};
	

#endif // #define ASPECTPREVIEW_H_
