#ifndef SUBTITLEDRAWER_H_
#define SUBTITLEDRAWER_H_

#include "thread.h"
#include "project.h"
#include "subtitleentry.h"

#include <windows.h>

class SubtitleDrawer : public Thread
{
public:
	SubtitleDrawer(ProjectPtr project, int groupIndex, int titleIndex, int subtitleIndex);
	virtual ~SubtitleDrawer();
	String GetDescription() const;
protected:
	bool OnRun();
	void Measure(SubtitleEntryPtr entry, HDC dc, RECT & rect);
	void Draw(SubtitleEntryPtr entry, HDC dc, const RECT & rect, bool box);
	ProjectPtr m_Project;
	int m_GroupIndex;
	int m_TitleIndex;
	int m_SubtitleIndex;
};

#endif // MENUDRAWER_H_
